/*
   (c) 2021 Christian Grieger
   GNU GENERAL PUBLIC LICENSE
*/

#include <LightHouse.h>

LightHouse::LightHouse (byte ledPin)
{
  pin = ledPin;

  pinMode(pin, OUTPUT);
  digitalWrite(pin, LOW);

  nextRotation = (long)millis() + 5000;
}

void LightHouse::update()
{
  if ((long)millis() - nextRotation >= 0) {
    nextRotation = (long)millis() + 5000;

    for (int i = 0; i <= 255; i++) {
      analogWrite(pin, i);
      delay(3);
    }

    for (int i = 255; i >= 0; i--) {
      analogWrite(pin, i);
      delay(3);
    }
    digitalWrite(pin, LOW);
  }
}
