/*
   (c) 2021 Christian Grieger
   GNU GENERAL PUBLIC LICENSE
*/

#ifndef LIGHTHOUSE_H
#define LIGHTHOUSE_H

#include <Arduino.h>

class LightHouse
{
  public:
    /*
       Constructor which resets all relevant values and connects the LED to the pin of the Arduino.

           ledPin  LED pin connected to the Arduino (PWM-capable)
    */
    LightHouse (byte ledPin);

    /*
       Update routine which should be called in the main loop()-function
    */
    void update();

  protected:
    byte pin;
    long nextRotation;
};

#endif
